Bug 904303 - Power management issues on a Toshiba Z930 laptop.
Power management issues on a Toshiba Z930 laptop.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 22:53 EST by Daniel Rowe
Modified: 2015-10-05 08:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:18:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
bart: needinfo-


Attachments (Terms of Use)
dmesg (64.91 KB, text/plain)
2013-01-25 22:53 EST, Daniel Rowe
no flags Details
lspci -vv (20.31 KB, text/plain)
2013-01-25 22:55 EST, Daniel Rowe
no flags Details
dmidecode (12.42 KB, text/plain)
2013-01-25 23:02 EST, Daniel Rowe
no flags Details
pm-utils-bugreport (10.40 KB, application/octet-stream)
2013-02-09 07:25 EST, Daniel Rowe
no flags Details

  None (edit)
Description Daniel Rowe 2013-01-25 22:53:42 EST
Created attachment 687805 [details]
dmesg

Description of problem:

Toshiba Z930 fails to enter suspend and seem to have general issue with power management.

For example it seems to be able to enter suspend once, it resumes from suspend then subsequently cannot enter suspend again. Trying to get the macnine to enter suspend just causes the machine to lockup, the screen goes off the fan goes on full and it gets hot. Hard reset is required to get it back.

This laptop seem to run Linux well other than the power management issues.

The BIOS is in legacy mode as I could not get the machine to boot at all (or install) with UEFI switched on.

I have fiddled around with BIOS setting to see if anything would help to no avail. 

Version-Release number of selected component (if applicable):

Laptop is completely up to date.

How reproducible:

Every time.

Steps to Reproduce:
1.Suspend the laptop
2.Wake the laptop
3.Suspend the laptop
4.Cant enter Suspend
  
Actual results:

Laptop locks up hard.

Expected results:

Laptop is able to enter suspend OK.

Additional info:
Comment 1 Daniel Rowe 2013-01-25 22:55:30 EST
Created attachment 687806 [details]
lspci -vv
Comment 2 Daniel Rowe 2013-01-25 22:57:07 EST
I should add there is nothing in the messages log for the second suspend, it appears to lock up and is not able to log anything.
Comment 3 Daniel Rowe 2013-01-25 23:02:45 EST
Created attachment 687820 [details]
dmidecode
Comment 4 Daniel Rowe 2013-01-25 23:19:15 EST
This bug on ubuntu seems to be the same issue:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1094800
Comment 5 Daniel Rowe 2013-02-09 07:25:11 EST
Created attachment 695459 [details]
pm-utils-bugreport
Comment 6 Daniel Rowe 2013-02-15 20:51:48 EST
I have done some testing with different kernel versions on a different distro.

Kernel 3.3 works fine and well, anything => 3.4 kernel exhibits the behaviour in this bug. Seems to be a kernel issue as this happens on any distro that runs 3.4 or greater.
Comment 7 Alexander Pevzner 2013-06-01 16:25:46 EDT
This bug is fixed on ACPICA: https://github.com/acpica/acpica/commit/34f226fa2643f1d2e6527ea4edb24947cfe1fb6a

As fas as I can judje, Linux implementation is based on APICA, so sooner or later this patch will be in kernel.

For now I've created a temporary hotfix, in a form of a tiny kernel module. Please, enjoy:

https://code.google.com/p/toshiba-pmfix/
Comment 8 Daniel Rowe 2013-06-09 00:00:45 EDT
Confirm that the kernel module work wells on my Fedora 18 64bit install.

Thanks!
Comment 9 Justin M. Forbes 2013-10-18 17:22:10 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 10 Justin M. Forbes 2013-11-27 11:18:23 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.